Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 57469 - AS cannot be installed using 64bit JDK
AS cannot be installed using 64bit JDK
Status: CLOSED FIXED
Product: installer
Classification: Unclassified
Component: Tools bundle
4.x
PC Linux
: P3 (vote)
: 5.x
Assigned To: mslama
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-05 09:43 UTC by Petr Blaha
Modified: 2006-03-24 12:47 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Blaha 2005-04-05 09:43:49 UTC
AS bundle can't be installed using 64 bit jdk. Therefore, we should add check in
first panel of AS+NB bundle. In case the 64-bit jdk is used we shall display
error message like 'Please, use 32 bit jdk for installation' and exit installer.
Comment 1 mslama 2005-04-05 16:20:44 UTC
It applies to Linux 64 bit for AMD 64 + 64bit JDK for AMD64.
Comment 2 mslama 2005-09-02 14:25:09 UTC
Fixed in main trunk. If installer is run on 64bit JDK on Linux (os.name starts
with "Linux" and os.arch starts with "amd64") error message is shown in Welcome
panel and Next button is disabled. This fix must be removed as issue #6263398 in
SJS AS installer will be fixed. See issue #57282.

Modified:
/cvs/installer/asbundle/as-linux.uip
new revision: 1.3; previous revision: 1.2

/cvs/installer/asbundle/as-macosx.uip
new revision: 1.3; previous revision: 1.2

/cvs/installer/asbundle/as-solaris-sparc.uip
new revision: 1.3; previous revision: 1.2

/cvs/installer/asbundle/as-solaris-x86.uip
new revision: 1.3; previous revision: 1.2

/cvs/installer/asbundle/as-windows.uip
new revision: 1.4; previous revision: 1.3

/cvs/installer/asbundle/src/org/netbeans/installer/Bundle.properties
new revision: 1.25; previous revision: 1.24

/cvs/installer/asbundle/src/org/netbeans/installer/NbWelcomePanel.java
new revision: 1.3; previous revision: 1.2
Comment 3 Michal Mocnak 2005-09-07 14:27:05 UTC
Verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo